using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace SlnMesnac.Repository.service
{
    public interface IT_SY_TraceStateService: IBaseService<T_SY_TraceState>
    {
        T_SY_TraceState GetByProductCode(string ProductCode);
        Task<bool> InsertAsync(T_SY_TraceState record);

        Task<bool> UpdateAsync(T_SY_TraceState record);

        T_SY_TraceState GetRelationShipByProductCodeAndIsdis(string ProductCode, string MaterialType, string StationCode);
    }
}